> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstpromoter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current promoter



## OpenAPI

````yaml openapi-v2-affiliate-promoters get /promoters/current
openapi: 3.0.1
info:
  title: FirstPromoter API
  version: '1.0'
  description: FirstPromoter API documentation
servers:
  - url: https://api.firstpromoter.com/api/v2/affiliate
security:
  - BearerAuth: []
paths:
  /promoters/current:
    get:
      tags:
        - Promoters
      summary: Get current promoter
      parameters:
        - $ref: '#/components/parameters/AccountId'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Promoter'
        '401':
          description: >-
            Unauthorized — the Bearer access token is missing, invalid, expired,
            or revoked. No JSON response body is returned.
          content:
            application/json:
              schema:
                type: object
              example: {}
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  code:
                    type: string
components:
  parameters:
    AccountId:
      name: Account-ID
      in: header
      required: true
      description: Account identifier that specifies which account is making the request
      schema:
        type: string
        example: acc_123456
  schemas:
    Promoter:
      type: object
      properties:
        id:
          type: integer
        email:
          type: string
        name:
          type: string
        stats:
          type: object
          properties:
            clicks_count:
              type: integer
            referrals_count:
              type: integer
            sales_count:
              type: integer
            customers_count:
              type: integer
            revenue_amount:
              type: number
            active_customers_count:
              type: integer
        balances:
          type: object
        custom_fields:
          type: object
        first_event_at:
          type: string
          format: date-time
        invoice_details_status:
          type: string
        joined_at:
          type: string
          format: date-time
        selected_payout_method:
          type: string
        pending_contract_documents:
          type: array
          items:
            type: string
        profile:
          $ref: '#/components/schemas/PromoterProfile'
        promoter_campaigns:
          type: array
          items:
            $ref: '#/components/schemas/PromoterCampaign'
        is_confirmed:
          type: boolean
    PromoterProfile:
      type: object
      properties:
        id:
          type: integer
        first_name:
          type: string
        last_name:
          type: string
        website:
          type: string
        company_name:
          type: string
        phone_number:
          type: string
        vat_id:
          type: string
        country:
          type: string
        address:
          type: string
        avatar:
          type: string
        instagram_url:
          type: string
        youtube_url:
          type: string
        linkedin_url:
          type: string
        facebook_url:
          type: string
        twitter_url:
          type: string
        twitch_url:
          type: string
        tiktok_url:
          type: string
    PromoterCampaign:
      type: object
      properties:
        id:
          type: integer
        campaign_id:
          type: integer
        created_at:
          type: string
          format: date-time
        campaign:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
            color:
              type: string
        state:
          type: string
        promoter_id:
          type: integer
        stats:
          type: object
          properties:
            clicks_count:
              type: integer
            referrals_count:
              type: integer
            sales_count:
              type: integer
            customers_count:
              type: integer
            revenue_amount:
              type: number
        ref_token:
          type: string
        ref_link:
          type: string
        has_monetary_rewards:
          type: boolean
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Access token passed as a Bearer token in the Authorization header

````